# Created by pyp2rpm-3.3.1
%global pypi_name port-for

Name:           python-%{pypi_name}
Version:        0.4
Release:        %mkrel 5
Summary:        Utility that helps with local TCP ports managment
Group:          Development/Python
License:        MIT
URL:            https://github.com/kmike/port-for/
Source0:        %{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)

%description
port-for port-for is a command-line utility and a python library that helps
with local TCP ports management.It can find an unused TCP localhost port and
remember the association:: $ sudo port-for foo

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
port-for port-for is a command-line utility and a python library that helps
with local TCP ports management.It can find an unused TCP localhost port and
remember the association:: $ sudo port-for foo


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE.txt
%doc README.rst
%{_bindir}/port-for
%{python3_sitelib}/port_for
%{python3_sitelib}/port_for-%{version}-py?.?.egg-info


%changelog
* Sun Feb 16 2020 umeabot <umeabot> 0.4-5.mga8
+ Revision: 1534197
- Mageia 8 Mass Rebuild

* Fri Sep 27 2019 daviddavid <daviddavid> 0.4-4.mga8
+ Revision: 1447464
- rebuild for python3.8
- drop python2 support

* Mon Jan 07 2019 kekepower <kekepower> 0.4-3.mga7
+ Revision: 1351262
- Rebuild for Python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.4-2.mga7
+ Revision: 1289719
- Mageia 7 Mass Rebuild

* Wed May 02 2018 kekepower <kekepower> 0.4-1.mga7
+ Revision: 1224616
- imported package python-port-for

